**Source URL:** https://limited.veevavault.dev/quality/vault-api/api-reference/26.1/documents/document-templates/update-single-document-template

# Update Single Document Template

Update a single document template in your Vault.

<Endpoint path="/api/{version}/objects/documents/templates/{template_name}" method="PUT" />

## Headers

| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |

## URI Path Parameters

<FieldTable>
| Name | Description |
| --- | --- |
| `{template_name}` | The document template `name__v` field value. |
</FieldTable>

## Body Parameters

You can update the following fields on document templates:

<FieldTable>
| Field Name | Description |
| --- | --- |
| `name__v`<Requiredness type="optional" /> | The name of an existing document template. This is required. |
| `new_name`<Requiredness type="optional" /> | Change the name of an existing document template. |
| `label__v`<Requiredness type="optional" /> | Change the label of an existing document template. This is the name users will see among the available document templates in the UI. |
| `active__v`<Requiredness type="optional" /> | Set to `true` or `false` to indicate whether or not the document template should be set to active, i.e., available for selection when creating a document. |
</FieldTable>

#### Convert Basic Document Template to Controlled Document Template

To convert a basic document template to a controlled document template, specify the Template Document. Vault will automatically update `is_controlled__v` on this template to `true`.

It is not possible to convert a controlled document template into a basic document template.

<FieldTable>
| Field Name | Description |
| --- | --- |
| `template_doc_id__v`<Requiredness type="optional" /> | The document `id` value to use as the Template Document for this controlled document template. Learn more about [setting up valid Template Documents in Vault Help](https://platform.veevavault.help/en/lr/46025). |
</FieldTable>

## Request

<CodeExample title="">
```bash
curl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-H "Accept: application/json" \
-d "name__v=promo_ad_web_document_template__c" \
-d "label__v=Promo Ad Web Document Template" \
-d "active__v=true" \
https://myvault.veevavault.com/api/v15.0/objects/documents/templates/promo_ad_print_document_template__c
```
</CodeExample>

## Response

<CodeExample title="">
```bash
responseStatus,name,errors
SUCCESS,promo_ad_web_document_template__c,
```
</CodeExample>

---

**Previous:** [Create Multiple Document Templates](/quality/vault-api/api-reference/26.1/documents/document-templates/create-multiple-document-templates)  
**Next:** [Update Multiple Document Templates](/quality/vault-api/api-reference/26.1/documents/document-templates/update-multiple-document-templates)